Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging
Interface CloneableLogManager

All Superinterfaces:
  LogManager

All Known Implementing Classes:
  FileLogManager, SimpleLogManager

    public interface CloneableLogManager

extends LogManager

If you implement this interface, then your log manager can be cloned. This is usually used so different nodes can have different log managers. The simple log manager uses the @param detail arg as a prefix to each line corresponding to that logger. Another example may be logging to multiple files, but using the "detail" in the filename to indicate which node the log corresponds to. A PastryNodeFactory should clone the LogManager for each node if the pastry_factory_multipleNodes parameter is set to true.

Author:
  Jeff Hoye

Method Summary
`LogManager` | `clone(java.lang.String detail)` Return a new LogManager with identical parameters except that there is an indication of detail in each line, or filename if seperated by files.
`LogManager` | `clone(java.lang.String detail, TimeSource ts)`
`java.lang.String` | `getPrefix()`

Methods inherited from interface rice.environment.logging.LogManager
`getLogger`

Method Detail

### clone

    LogManager clone(java.lang.String detail)

  Return a new LogManager with identical parameters except that there is an indication of detail in each line, or filename if seperated by files.

  Parameters:
    `detail` - usually will be a nodeid
  Returns:
    a new LogManager

### clone

    LogManager clone(java.lang.String detail,
                     TimeSource ts)

### getPrefix

    java.lang.String getPrefix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.